Bug 169803 - CVE-2005-2946 openssl insecure default message digest
CVE-2005-2946 openssl insecure default message digest
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssl (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
impact=low,source=cve,public=20050716...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 16:44 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 09:14:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-03 16:44:35 EDT
The default configuration on OpenSSL before 0.9.8 uses MD5 for creating message
digests instead of a more cryptorgaphically strong algorithm, which makes it
easier for remote attackers to forge certificates with a valid certificate
authority signature.

I'm not sure if this is something we want to or can change in RHEL.  I'm filing
this bug so we have a placeholder for this issue, and so we have a public place
for comments regarding it.

While the weakness of md5 is real, it is not right to blindly proclaim
everything that uses it broken.

Consider this the placeholder for RHEL2, RHEL3 and RHEL4
Comment 1 Josh Bressers 2005-10-03 16:45:24 EDT
There is more information regarding this here:
https://bugzilla.ubuntu.com/show_bug.cgi?id=13593
Comment 2 Tomas Mraz 2005-10-04 09:29:45 EDT
As openssl.cnf is %config(noreplace) for all RHELs I think it shouldn't be a
problem to fix it there too. 
Comment 3 Tomas Mraz 2005-10-07 02:47:25 EDT
It is really debatable if we want to change the default. On systems where
security of issued certificates is really critical the sha1 hash should have
been used a long ago and the default can be easily changed by modification of
the config file. Also this fix is probably not enough as there should be also
some changes on the verification side - at least some warnings when certificates
with MD5 hashes are used or so.
Comment 4 Tomas Mraz 2005-10-12 08:11:13 EDT
I've fixed this (changed the default to sha1) in Fedora Core development package.

Leaving still open for the RHEL 4 and older consideration.
Comment 5 Mark J. Cox (Product Security) 2007-02-19 09:14:59 EST
won't fix for rhel4/3/2.1

Note You need to log in before you can comment on or make changes to this bug.